# PCVDeposit

## Functions

### withdrawERC20

```solidity
function withdrawERC20(
    address token,
    address to,
    uint256 amount
) public
```

withdraw ERC20 from the contract

#### Parameters

| Name     | Type    | Description                      |
| -------- | ------- | -------------------------------- |
| `token`  | address | address of the ERC20 to send     |
| `to`     | address | address destination of the ERC20 |
| `amount` | uint256 | quantity of ERC20 to send        |

### \_withdrawERC20

```solidity
function _withdrawERC20(
    address token,
    address to,
    uint256 amount
) internal
```

#### Parameters

| Name     | Type    | Description |
| -------- | ------- | ----------- |
| `token`  | address |             |
| `to`     | address |             |
| `amount` | uint256 |             |

### withdrawETH

```solidity
function withdrawETH(
    address payable to,
    uint256 amountOut
) external
```

withdraw ETH from the contract

#### Parameters

| Name        | Type            | Description           |
| ----------- | --------------- | --------------------- |
| `to`        | address payable | address to send ETH   |
| `amountOut` | uint256         | amount of ETH to send |

### balance

```solidity
function balance() public returns (uint256)
```

gets the effective balance of "balanceReportedIn" token if the deposit were fully withdrawn

### resistantBalanceAndChi

```solidity
function resistantBalanceAndChi() public returns (uint256, uint256)
```

gets the resistant token balance and protocol owned chi of this deposit


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.essencefinance.io/development/smart-contracts/pcv/pcvdeposit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
